//
//  MapViewController.h
//  Knock
//
//  Created by Anna Wang on 11/19/15.
//  Copyright © 2015 Anna Wang. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>

#import "MapMenuViewController.h"

@protocol MapViewControllerDelegate <NSObject>

@optional
- (void)movePanelLeft;
- (void)movePanelRight;

@required
- (void)movePanelToOriginalPosition;
- (void)storeFilters:(NSInteger)distance friends:(BOOL)friends fOF:(BOOL)fOF strangers:(BOOL)strangers;

@end

@interface MapViewController : UIViewController <MapMenuViewControllerDelegate, CLLocationManagerDelegate>

@property (nonatomic, weak) id<MapViewControllerDelegate> delegate;

@property (weak, nonatomic) IBOutlet UIBarButtonItem *rightButton;
@property (weak, nonatomic) IBOutlet MKMapView *mapView;

@property (nonatomic, assign) NSUInteger distance;
@property (nonatomic, assign) BOOL friends;
@property (nonatomic, assign) BOOL strangers;
@property (nonatomic, assign) BOOL fOF;

@end
