//
//  SelfProfileViewController.m
//  Knock
//
//  Created by Anna Wang on 12/1/15.
//  Copyright © 2015 Anna Wang. All rights reserved.
//

#import "SelfProfileViewController.h"

@interface SelfProfileViewController () <UITextViewDelegate>
@property (weak, nonatomic) IBOutlet UITextView *bioText;
@property (weak, nonatomic) IBOutlet UITextView *ageText;
@property (weak, nonatomic) IBOutlet UITextView *langText;

@end

@implementation SelfProfileViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    if (!UIAccessibilityIsReduceTransparencyEnabled()) {
        self.view.backgroundColor = [UIColor clearColor];
        
        UIBlurEffect *blurEffect = [UIBlurEffect effectWithStyle:UIBlurEffectStyleLight];
        UIVisualEffectView *blurEffectView = [[UIVisualEffectView alloc] initWithEffect:blurEffect];
        blurEffectView.frame = self.view.bounds;
        blurEffectView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
        
        [self.view insertSubview:blurEffectView atIndex:1];
    }
    else {
        self.view.backgroundColor = [UIColor blackColor];
    }
    
    [self.bioText setBackgroundColor: [UIColor clearColor]];
    [self.ageText setBackgroundColor: [UIColor clearColor]];
    [self.langText setBackgroundColor: [UIColor clearColor]];
    
    self.bioText.delegate = self;
    self.ageText.delegate = self;
    self.langText.delegate = self;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(BOOL) textFieldShouldReturn:(UITextField *)textField{
    
    [textField resignFirstResponder];
    return YES;
}

- (BOOL)textView:(UITextView *)textView shouldChangeTextInRange:(NSRange)range replacementText:(NSString *)text {
    
    if([text isEqualToString:@"\n"]) {
        [textView resignFirstResponder];
        return NO;
    }
    
    return YES;
}


/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
